<?php require_once "baglanti.php"; ?>
<!DOCTYPE html>
<html lang="tr-TR">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<title>Menü Kategorisi Ekle</title>

	<?php require_once "codes.php"; ?>
</head>

<body>

	<!-- Header -->
	<header class="header navbar navbar-fixed-top" role="banner">
		<?php require_once "header.php"; ?>
	</header>
	<!-- /.header -->

	<div id="container">
	
		<!-- Menü -->
		<div id="sidebar" class="sidebar-fixed">
			<?php require_once "menu.php"; ?>
		</div>
		<!-- /Menü -->

		<div id="content">
			<div class="container">
				<!-- Breadcrumbs -->
				<div class="crumbs">
					<ul id="breadcrumbs" class="breadcrumb">
						<li>
							<i class="icon-home"></i>
							<a href="default.php">Kontrol Paneli</a>
						</li>
						<li>
							<a href="menu_kat.php">Menü Kategorileri</a>
						</li>
						<li class="current">
							<a href="#">Yeni Ekle</a>
						</li>
					</ul>
				</div>
				<!-- /Breadcrumbs -->
				
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title">
						<h3><i class="fa fa-plus"></i> Yeni Ekle</h3>
					</div>

					<!-- Page Stats -->
					<ul class="page-stats">
						<li>
							<a href="menu_kat.php" class="btn btn-primary"><i class="fa fa-list"></i> Listele</a>
						</li>
					</ul>
					<!-- /Page Stats -->
				</div>
				<!-- /Page Header -->
				
				
				<!--=== Page Content ===-->
<?php 
	if(isset($_POST["kaydet"])){
		
		$id_sube 	= p("id_sube");
		$kat_adi 	= p("kat_adi");
		$sirala 	= p("sirala");
		$aciklama 	= p("aciklama");
		
		if(!$id_sube || !$kat_adi){
			echo '
					<div class="alert alert-danger fade in">
						<strong>Hata!</strong> Yıldızla belirtilen alanlar boş bırakılamaz!
					</div>
				';
		}else{
			
			
			$kayit = $db->prepare("INSERT INTO mod_ro_menu_kat SET
								id_sube		= :id_sube,
								kat_adi		= :kat_adi,
								sirala		= :sirala,
								aciklama	= :aciklama,
								ekleyen		= :ekleyen");
			
			$sorgu = $kayit->execute(array(
								"id_sube" 	=> $id_sube,
								"kat_adi" 	=> $kat_adi,
								"sirala" 	=> $sirala,
								"aciklama" 	=> $aciklama,
								"ekleyen" 	=> $uyeid));
								
			// Kayıt edilen son ID alınacak
			$SON_ID = $db->lastInsertId();
			
			// Id alanı güncelleniyor
			$kayit = $db->prepare("UPDATE mod_ro_menu_kat SET
								id_menu_kat	= :id_menu_kat
								WHERE id 	=:id");
								
			$insert = $kayit->execute(array(
								"id_menu_kat" 	=> $SON_ID,
								"id" 		=> $SON_ID));
			
			if($kayit){
				echo '
					<div class="alert alert-success fade in">
						<strong>Başarılı!</strong> Kaydınız alındı!
					</div>
				';
				go("menu_kat.php", 1);
			}else{
				echo '
					<div class="alert alert-danger fade in">
						<strong>Hata!</strong> Bir sorun meydana geldi... Daha sonra deneyiniz.
					</div>
				';
			}
		}
		
		
	}
?>
				<div class="row row-bg">
					<div class="col-md-12">
						<div class="widget box">
							<div class="widget-header">
								<h4><i class="icon-reorder"></i> Form</h4>
							</div>
							<div class="widget-content">
								<form class="form-horizontal row-border" action="" method="post">
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input17">* Şube Seçin</label>
										<div class="col-md-10">
											<select name="id_sube" id="input17" class="select2-select-00 col-md-12 full-width-fix">
												<option value="0">Lütfen seçim yapın</option>
												<?php
													$Subeler = $db->prepare("SELECT * FROM mod_sube ORDER BY id DESC");
													$Subeler->execute();
													while($Sube = $Subeler->fetch(PDO::FETCH_OBJ)){
														echo '<option ';
														echo 'value="'.$Sube->id.'">'.$Sube->baslik.'</option>';
													}
												?>
											</select>
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">* Kategori Adı</label>
										<div class="col-md-10">
											<input type="text" name="kat_adi" class="form-control">
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Sıra</label>
										<div class="col-md-10">
											<input type="text" name="sirala" class="form-control" value="50">
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Açıklama</label>
										<div class="col-md-10">
											<input type="text" name="aciklama" class="form-control">
										</div>
									</div>
									
									<div class="form-group">
										<div class="col-md-12">
											<button class="btn btn-defaul btn-lg pull-right" name="kaydet" > Kaydet</button>
										</div>
									</div>
									
								</form>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</body>
</html>