<?php require_once "baglanti.php"; ?>
<!DOCTYPE html>
<html lang="tr-TR">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<title>Menüler</title>

	<?php require_once "codes.php"; ?>
</head>

<body>

	<!-- Header -->
	<header class="header navbar navbar-fixed-top" role="banner">
		<?php require_once "header.php"; ?>
	</header>
	<!-- /.header -->

	<div id="container">
	
		<!-- Menü -->
		<div id="sidebar" class="sidebar-fixed">
			<?php require_once "menu.php"; ?>
		</div>
		<!-- /Menü -->

		<div id="content">
			<div class="container">
				<!-- Breadcrumbs -->
				<div class="crumbs">
					<ul id="breadcrumbs" class="breadcrumb">
						<li>
							<i class="icon-home"></i>
							<a href="default.php">Kontrol Paneli</a>
						</li>
						<li class="current">
							<a href="#">Menüler</a>
						</li>
					</ul>
				</div>
				<!-- /Breadcrumbs -->
				
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title">
						<h3>Menü Listesi</h3>
					</div>

					<!-- Page Stats -->
					<ul class="page-stats">
						<li>
							<a href="menu_ekle.php" class="btn btn-success"><i class="fa fa-plus"></i> Yeni Ekle</a>
						</li>
						<li>
							<a href="menu_urun_fiyat.php" class="btn btn-default"><i class="fa fa-arrows-v"></i> Fiyat Güncelle</a>
						</li>
					</ul>
					<!-- /Page Stats -->
				</div>
				<!-- /Page Header -->

				<!--=== Page Content ===-->
				
				<div class="row row-bg">
					
					<div class="widget box">
						<div class="widget-header">
							<h4><i class="fa fa-list"></i> Liste</h4>
							<div class="toolbar no-padding">
								<div class="btn-group">
									<span class="btn btn-xs widget-collapse"><i class="fa fa-angle-down"></i></span>
								</div>
							</div>
						</div>
						<div class="widget-content no-padding">
							<table class="table table-striped table-bordered table-hover table-checkable table-tabletools datatable">
								<thead>
									<tr>
										<th>S/N</th>
										<th>Sube Adı</th>
										<th>Menü Adı</th>
										<th>Tutar</th>
										<th>Satış Adet</th>
										<th>Satış Tutar</th>
										<th>İşlemler</th>
									</tr>
								</thead>
								<tbody>
									<?php 
										$Sn = 0;
										$Veriler = $db->prepare("SELECT  
																	mod_sube.id AS subeid,
																	mod_sube.baslik AS subebaslik,
																	mod_ro_menu.id AS menuid,
																	mod_ro_menu.baslik AS menubaslik,
																	mod_ro_menu.tutar AS menututar,
																	mod_ro_menu.ekleyen AS ekleyen
																FROM mod_ro_menu 
										LEFT JOIN mod_sube ON mod_sube.id = mod_ro_menu.id_sube
										ORDER BY menuid DESC");
										$Veriler->execute();
										while($Veri = $Veriler->fetch(PDO::FETCH_OBJ)){
											$Sn++;
											
											$MenuId = $Veri->menuid;
											
											// Menü Say
											$MenuSay = $db->prepare("SELECT SUM(adet) as ToplamMenu FROM mod_ro_adisyon_menu WHERE id_menu = '$MenuId'");
											$MenuSay->execute();
											$MenuSayisiCek = $MenuSay->fetch(PDO::FETCH_OBJ);
											// Toplam Ürün
											@$MenuSayisi = $MenuSayisiCek->ToplamMenu;
											
											// Tutarlar
											$MenuTutarSay = $db->prepare("SELECT SUM(tutar) as ToplamTutar FROM mod_ro_adisyon_menu WHERE id_menu = '$MenuId'");
											$MenuTutarSay->execute();
											$MenuTutarCek = $MenuTutarSay->fetch(PDO::FETCH_OBJ);
											// Toplam Ürün
											@$MenuTutar = $MenuTutarCek->ToplamTutar;
									?>
									<tr>
										<td><?php echo $Sn; ?></td>
										<td><?php echo $Veri->subebaslik; ?></td>
										<td><?php echo $Veri->menubaslik; ?></td>
										<td><?php echo number_format($Veri->menututar, 2, ',', '.'); ?> <i class="fa fa-try"></i></td>
										<td><?php echo $MenuSayisi; ?></td>
										<td><?php echo number_format($MenuTutar, 2, ',', '.'); ?> <i class="fa fa-try"></i></td>
										<td>
											<a href="menu_urun_ekle.php?id=<?php echo $Veri->menuid; ?>" class="btn btn-success btn-xs"><i class="fa fa-plus"></i></a>
											<a href="menu_duzenle.php?id=<?php echo $Veri->menuid; ?>" class="btn btn-primary btn-xs"><i class="fa fa-pencil"></i></a>
											<a href="menu_sil.php?id=<?php echo $Veri->menuid; ?>" class="btn btn-danger btn-xs"><i class="fa fa-remove"></i></a>
										</td>
									</tr>
									<?php } ?>
								</tbody>
							</table>
						</div>
					</div>
					
				</div>
				
			</div>
		</div>
	</div>
</body>
</html>