<?php 
	require_once "baglanti.php";
	
	// Şube Sayısı
	$SubeSay = $db->prepare("SELECT * FROM mod_sube");
	$SubeSay->execute();
	$SubeSayisi = $SubeSay->rowCount();
	
	// Ürün Sayısı
	$UrunSay = $db->prepare("SELECT * FROM mod_ro_urun");
	$UrunSay->execute();
	$UrunSayisi = $UrunSay->rowCount();
	
	// Menü Sayısı
	$MenuSay = $db->prepare("SELECT * FROM mod_ro_menu");
	$MenuSay->execute();
	$MenuSayisi = $MenuSay->rowCount();
	
	// Adisyon Sayısı
	@$AdisyonSay = $db->prepare("SELECT * FROM mod_ro_adisyon ");
	$AdisyonSay->execute();
	$AdisyonSayisi = $AdisyonSay->rowCount();
	
?>
<!DOCTYPE html>
<html lang="tr-TR">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<title>Raporlar</title>

	<?php require_once "codes.php"; ?>
	
</head>

<body>

	<!-- Header -->
	<header class="header navbar navbar-fixed-top" role="banner">
		<?php require_once "header.php"; ?>
	</header>
	<!-- /.header -->

	<div id="container">
	
		<!-- Menü -->
		<div id="sidebar" class="sidebar-fixed">
			<?php require_once "menu.php"; ?>
		</div>
		<!-- /Menü -->

		<div id="content">
			<div class="container">
				<!-- Breadcrumbs -->
				<div class="crumbs">
					<ul id="breadcrumbs" class="breadcrumb">
						<li>
							<i class="icon-home"></i>
							<a href="default.php">Kontrol Paneli</a>
						</li>
						<li class="current">
							<a href="#">Raporlar</a>
						</li>
					</ul>
				</div>
				<!-- /Breadcrumbs -->
				
				<!-- Kontrol -->
				<?php if($_SESSION['uye_rutbe'] == 3 || $_SESSION['uye_rutbe'] == 2){ ?>
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title">
						<h3>Rapor Listesi</h3>
					</div>
				</div>
				<!-- /Page Header -->

				<!--=== Page Content ===-->
				<div class="row row-bg">
					<div class="col-md-12">
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">ŞUBE SAYISI</button>
									<div class="value"><?php echo $SubeSayisi; ?></div>
								</div>
							</div>
						</div>
						
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">ÜRÜN SAYISI</button>
									<div class="value"><?php echo $UrunSayisi; ?></div>
								</div>
							</div>
						</div>
						
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">MENÜ SAYISI</button>
									<div class="value"><?php echo $MenuSayisi; ?></div>
								</div>
							</div>
						</div>
						
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">ADİSYON SAYISI</button>
									<div class="value"><?php echo $AdisyonSayisi; ?></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
				<div class="row">
					<div class="col-md-12">

						<div class="widget box">
							<div class="widget-content no-padding">
							
								<form class="form-horizontal row-border" action="" method="get" id="Veri_Goster_Form">
									
									<div class="form-group">
										<div class="col-md-3">
											<label class="control-label" for="input17">Şube</label>
											<select name="flt_sube" class="select2-select-00 col-md-12 full-width-fix">
												<option value="0">Tüm Şubeler</option>
												<?php
													$Subeler = $db->prepare("SELECT * FROM mod_sube ORDER BY id DESC");
													$Subeler->execute();
													while($Sube = $Subeler->fetch(PDO::FETCH_OBJ)){
														echo '<option ';
														echo 'value="'.$Sube->id.'"  '.( @$_GET["flt_sube"] == $Sube->id ? 'selected':'' ).'  >'.$Sube->baslik.'</option>';
													}
												?>
											</select>
										</div>
										<?php 
											@$tarih = date('Y-m-d');
											@$flt_baslama = $_GET["flt_baslama"];
											@$flt_bitis = $_GET["flt_bitis"];
										?>
										<div class="col-md-3">
											<label class="control-label">Başlama Tarihi</label>
											<input type="date" name="flt_baslama" class="form-control" value="<?php echo (empty($flt_baslama) ? date('Y-m-01', strtotime($tarih)) : date('Y-m-d', strtotime($flt_baslama))); ?>">
										</div>
									
										<div class="col-md-3">
											<label class="control-label">Bitiş Tarihi</label> 
											<input type="date" name="flt_bitis" class="form-control" value="<?php echo (empty($flt_bitis) ? date('Y-m-t', strtotime($tarih)) : date('Y-m-d', strtotime($flt_bitis))); ?>">
										</div>
										
										<div class="col-md-3">
											<label class="control-label" for="input22">&nbsp;</label>
											<button class="btn btn-default btn-block" name="flt_goster" value="evet" id="Veri_Goster_Btn" >Göster</button>
										</div>
									</div>
									
								</form>
								
								<hr />
								
								<?php 
									
									if(!isset($_GET["flt_sube"])){
										echo "<p><b>Şube ve Tarih Seçiniz </b></p>";
									}else{
										
								?>
								
							
								<p><b>Hangi Şubeden Hangi Menü Kaç Adet Satılmış ve Fiyat Toplamı </b></p>
								<div id="Tablo1_Hata"></div>
								<table id="Tablo1" class="table table-striped table-bordered table-hover table-checkable table-tabletools">
									<thead>
										<tr>
											<th>Şube Adı</th>
											<th>Menü Adı</th>
											<th>Adet</th>
											<th>Tutar</th>
										</tr>
									</thead>
								</table>
								
								<?php } ?>
								
							</div>
						</div>
						
						<hr />
						
					</div>
				</div>
				
				<?php }else{ ?>
				
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title yetkiniz_yok">
						<h3><i class="fa fa-exclamation-triangle"></i> Bu sayfaya erişim yetkiniz bulunmamaktadır!</h3>
					</div>
				</div>
				<!-- /Page Header -->
				
				<?php } ?>
				
				
			</div>
		</div>
	</div>
	
	
<script type="text/javascript">
	
    $(document).ready(function(){
		
		$('#Tablo1').DataTable({
			"lengthMenu": [10, 500, 100000],
			"bProcessing": true,
			"serverSide": true,
			"ajax":{
				url :"rapor_ajax.php",
				type: "POST",
				data: {
					"flt_sube" : $('select[name=flt_sube]').val(),
					"flt_baslama" : $('input[name=flt_baslama]').val(),
					"flt_bitis" : $('input[name=flt_bitis]').val(),
				},
				error: function(){
					$("#Tablo1_Hata").css("display","none");
				}
			},
			"sDom": "<'dt-toolbar'<'col-xs-12 col-sm-4'l><'col-xs-12 col-sm-3 pull-right'T><'col-xs-12 col-sm-3 pull-right'f>>"+
					"t"+
					"<'dt-toolbar-footer'<'col-sm-6 col-xs-12 hidden-xs'i><'col-sm-6 col-xs-12'p>>",
			"oTableTools": {
				"aButtons": [
					"xls", {
						"sExtends": "pdf",
						"sTitle": "Rapor_PDF",
						"sPdfMessage": "PDF Export",
						"sPdfSize": "letter"
					},
				],
				"sSwfPath": "plugins/datatables/tabletools/swf/copy_csv_xls_pdf.swf"
			}
		});
		
	});
	
</script>

</body>
</html>