<?php 
	require_once "baglanti.php";


	
	// Şube Sayısı
	$SubeSay = $db->prepare("SELECT * FROM mod_sube");
	$SubeSay->execute();
	$SubeSayisi = $SubeSay->rowCount();
	
	// Ürün Sayısı
	$UrunSay = $db->prepare("SELECT * FROM mod_ro_urun");
	$UrunSay->execute();
	$UrunSayisi = $UrunSay->rowCount();
	
	// Menü Sayısı
	$MenuSay = $db->prepare("SELECT * FROM mod_ro_menu");
	$MenuSay->execute();
	$MenuSayisi = $MenuSay->rowCount();
	
	// Adisyon Sayısı
	@$AdisyonSay = $db->prepare("SELECT * FROM mod_ro_adisyon ");
	$AdisyonSay->execute();
	$AdisyonSayisi = $AdisyonSay->rowCount();
	
?>
<!DOCTYPE html>
<html lang="tr-TR">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<title>Raporlar</title>

	<?php require_once "codes.php"; ?>
	<script src="assets/js/jquery.twbsPagination.js" type="text/javascript"></script>
</head>

<body>

	<!-- Header -->
	<header class="header navbar navbar-fixed-top" role="banner">
		<?php require_once "header.php"; ?>
	</header>
	<!-- /.header -->

	<div id="container">
	
		<!-- Menü -->
		<div id="sidebar" class="sidebar-fixed">
			<?php require_once "menu.php"; ?>
		</div>
		<!-- /Menü -->

		<div id="content">
			<div class="container">
				<!-- Breadcrumbs -->
				<div class="crumbs">
					<ul id="breadcrumbs" class="breadcrumb">
						<li>
							<i class="icon-home"></i>
							<a href="default.php">Kontrol Paneli</a>
						</li>
						<li class="current">
							<a href="#">Raporlar</a>
						</li>
					</ul>
				</div>
				<!-- /Breadcrumbs -->
				
				<!-- Kontrol -->
				<?php if($_SESSION['uye_rutbe'] == 3 || $_SESSION['uye_rutbe'] == 2){ ?>
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title">
						<h3>Rapor Listesi</h3>
					</div>
				</div>
				<!-- /Page Header -->

				<!--=== Page Content ===-->
				<div class="row row-bg">
					<div class="col-md-12">
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">ŞUBE SAYISI</button>
									<div class="value"><?php echo $SubeSayisi; ?></div>
								</div>
							</div>
						</div>
						
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">ÜRÜN SAYISI</button>
									<div class="value"><?php echo $UrunSayisi; ?></div>
								</div>
							</div>
						</div>
						
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">MENÜ SAYISI</button>
									<div class="value"><?php echo $MenuSayisi; ?></div>
								</div>
							</div>
						</div>
						
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">ADİSYON SAYISI</button>
									<div class="value"><?php echo $AdisyonSayisi; ?></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
				<div class="row">
					<div class="col-md-12">

						<div class="widget box">
							<div class="widget-content no-padding">
							
								<form class="form-horizontal row-border" action="" method="get">
									
									<div class="form-group">
										<div class="col-md-3">
											<label class="control-label" for="input17">Şube</label>
											<select name="flt_sube" class="select2-select-00 col-md-12 full-width-fix">
												<option value="0">Tüm Şubeler</option>
												<?php
													$Subeler = $db->prepare("SELECT * FROM mod_sube ORDER BY id DESC");
													$Subeler->execute();
													while($Sube = $Subeler->fetch(PDO::FETCH_OBJ)){
														echo '<option ';
														echo 'value="'.$Sube->id.'"  '.( @$_GET["flt_sube"] == $Sube->id ? 'selected':'' ).'  >'.$Sube->baslik.'</option>';
													}
												?>
											</select>
										</div>
										<?php 
											$tarih = date('Y-m-d')
										?>
										<div class="col-md-3">
											<label class="control-label">Başlama Tarihi</label>
											<input type="date" name="flt_baslama" class="form-control" value="<?php echo ( empty($flt_baslama) ? date('Y-m-01', strtotime($tarih)) : date('Y-m-01', strtotime($flt_baslama))  ) ; ?>">
										</div>
									
										<div class="col-md-3">
											<label class="control-label">Bitiş Tarihi</label> 
											<input type="date" name="flt_bitis" class="form-control" value="<?php echo ( empty($flt_bitis) ? date('Y-m-t', strtotime($tarih)) : date('Y-m-t', strtotime($flt_bitis))  ) ; ?>">
										</div>
										
										<div class="col-md-3">
											<label class="control-label" for="input22">&nbsp;</label>
											<button class="btn btn-default btn-block" name="flt_goster" value="evet" >Göster</button>
										</div>
									</div>
									
								</form>
								
								<hr />
								
								<?php 
									
									if(!isset($_GET["flt_sube"])){
										echo "<p><b>Şube ve Tarih Seçiniz </b></p>";
									}else{
										
								?>
								
								<p><b>Hangi Şubeden Hangi Menü Kaç Adet Satılmış ve Fiyat Toplamı </b></p>
								
								<table class="table table-striped table-bordered table-hover table-checkable table-tabletools datatable">
									<thead>
										<tr>
											<th>S/N</th>
											<th>Şube Adı</th>
											<th>Menü Adı</th>
											<th>Adet</th>
											<th>Tutar</th>
										</tr>
									</thead>
									<tbody>
										<?php 
											
											
	
	if($_GET){
		
		@$flt_sube 			= $_GET["flt_sube"];
		@$flt_baslama_gelen	= $_GET["flt_baslama"];
		@$flt_bitis_gelen 	= $_GET["flt_bitis"];
		
		$flt_baslama 	= $flt_baslama_gelen.' 00:00:00';
		$flt_bitis 		= $flt_bitis_gelen.' 23:59:00';
	}
	
	// Veri Sırası
	$Sn = 0;
	
	$Vsql = "SELECT
				mod_ro_adisyon_menu.*,  mod_ro_adisyon.tarih , 
					mod_ro_adisyon_menu.id AS amenuid, mod_ro_adisyon_menu.menu_adi AS amenuadi, 
					mod_ro_adisyon_menu.adet AS amenuadet, mod_ro_adisyon_menu.tutar AS amenututar,
					mod_ro_adisyon_menu.id_menu as idmenu9,
					mod_sube.id AS subeid, mod_sube.baslik AS subeadi
			FROM mod_ro_adisyon 
			INNER JOIN mod_ro_adisyon_menu ON mod_ro_adisyon_menu.id_adisyon = mod_ro_adisyon.id_adisyon
			INNER JOIN mod_sube ON mod_sube.id = mod_ro_adisyon.id_sube ";

	if(isset($_GET["flt_sube"])){
		if($flt_sube == 0){
			$Vsql .= "WHERE ";
			$Vsql .= ' mod_ro_adisyon.tarih BETWEEN "'.$flt_baslama.'" and "'.$flt_bitis.'" '; 
		}else{
			$Vsql .= "WHERE mod_ro_adisyon.id_sube = '$flt_sube' ";
			$Vsql .= "AND ";
			$Vsql .= ' mod_ro_adisyon.tarih BETWEEN "'.$flt_baslama.'" and "'.$flt_bitis.'" '; 
		}
	}
	
	$Vsql .= "GROUP BY mod_ro_adisyon_menu.id_menu DESC"; // LIMIT $nereden,$kacar
	$Veriler  = $db->prepare($Vsql);
	$Veriler->execute();
	while($Veri = $Veriler->fetch(PDO::FETCH_OBJ)){
		
		$Sn++;
		
		$MenuId = $Veri->id_menu;
		
		
		// Menü Sayısı Toplamı 
		$Vsql2 = "SELECT SUM(mod_ro_adisyon_menu.adet) as ToplamMenu FROM mod_ro_adisyon_menu
				INNER JOIN mod_ro_adisyon ON mod_ro_adisyon.id = mod_ro_adisyon_menu.id_adisyon ";

		if(isset($_GET["flt_sube"])){
			if($flt_sube == 0){
				$Vsql2 .= "WHERE mod_ro_adisyon_menu.id_menu = '$MenuId' ";
				$Vsql2 .= "AND ";
				$Vsql2 .= "mod_ro_adisyon.tarih BETWEEN '$flt_baslama' AND '$flt_bitis' ";
			
			}else{
				$Vsql2 .= "WHERE mod_ro_adisyon_menu.id_menu = '$MenuId' AND mod_ro_adisyon_menu.id_sube = '$flt_sube' ";
				$Vsql2 .= "AND ";
				$Vsql2 .= "mod_ro_adisyon.tarih BETWEEN '$flt_baslama' AND '$flt_bitis' ";
			}
		}
		
		$Vsql2  = $db->prepare($Vsql2);
		$Vsql2->execute();
		$Veri2 = $Vsql2->fetch(PDO::FETCH_OBJ);
		
		// Toplam Menü
		@$MenuSayisi = $Veri2->ToplamMenu;
		
		
		// Menü Tutar Toplamı 
		$Vsql3 = "SELECT SUM(mod_ro_adisyon_menu.tutar) as ToplamTutar FROM mod_ro_adisyon_menu
				INNER JOIN mod_ro_adisyon ON mod_ro_adisyon.id = mod_ro_adisyon_menu.id_adisyon ";

		if(isset($_GET["flt_sube"])){
			if($flt_sube == 0){
				$Vsql3 .= "WHERE mod_ro_adisyon_menu.id_menu = '$MenuId' ";
				$Vsql3 .= "AND ";
				$Vsql3 .= "mod_ro_adisyon.tarih BETWEEN '$flt_baslama' AND '$flt_bitis' ";
			
			}else{
				$Vsql3 .= "WHERE mod_ro_adisyon_menu.id_menu = '$MenuId' AND mod_ro_adisyon_menu.id_sube = '$flt_sube' ";
				$Vsql3 .= "AND ";
				$Vsql3 .= "mod_ro_adisyon.tarih BETWEEN '$flt_baslama' AND '$flt_bitis' ";
			}
		}
		
		$Vsql3  = $db->prepare($Vsql3);
		$Vsql3->execute();
		$Veri3 = $Vsql3->fetch(PDO::FETCH_OBJ);
		
		// Toplam Tutar
		@$MenuTutar = $Veri3->ToplamTutar;
		
		
										?>
										<tr>
											<td><?php echo $Sn; ?></td>
											<td><?php echo $Veri->subeadi; ?></td>
											<td><?php echo $Veri->amenuadi; ?></td>
											<td><?php echo $MenuSayisi; ?></td>
											<td><?php echo number_format($MenuTutar, 2, ',', '.'); ?> <i class="fa fa-try"></i></td>
										</tr>
										<?php }  ?>
									</tbody>
								</table>
								
								<?php } ?>
									
								
								
								
							</div>
						</div>
						
						<hr />
						
						
						
					</div>
				</div>
				
				<?php }else{ ?>
				
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title yetkiniz_yok">
						<h3><i class="fa fa-exclamation-triangle"></i> Bu sayfaya erişim yetkiniz bulunmamaktadır!</h3>
					</div>
				</div>
				<!-- /Page Header -->
				
				<?php } ?>
				
				
			</div>
		</div>
	</div>
	<script type="text/javascript">
		$(document).ready(function(){
			$('#sayfalama').change(function(){
				var s_id = $(this).val();
				window.location.href = 'raporlar.php?s='+s_id;
			});
			
			$('#tablom1').DataTable({
				//"pageLength": 10, satır sayısı
				"paging":   false,
				"ordering": true,
				"info":     true,
				"sDom": "<'row-fluid'<'span6'T><'span6'f>r>t<'row-fluid'<'span6'i><'span6'p>>",
				"oTableTools": {
					 "aButtons": [
					 "xls",
						{
							"sExtends": "pdf",
							"sTitle": "Rapor_PDF",
							"sPdfMessage": "PDF Export",
							"sPdfSize": "letter"
						},
					 ],
					"sSwfPath": "plugins/datatables/tabletools/swf/copy_csv_xls_pdf.swf"
				}
			});
			
			$('#tablom2').DataTable({
				//"pageLength": 10, satır sayısı
				"paging":   false,
				"ordering": true,
				"info":     true,
				"sDom": "<'row-fluid'<'span6'T><'span6'f>r>t<'row-fluid'<'span6'i><'span6'p>>",
				"oTableTools": {
					 "aButtons": [
					 "xls",
						{
							"sExtends": "pdf",
							"sTitle": "Rapor_PDF",
							"sPdfMessage": "PDF Export",
							"sPdfSize": "letter"
						},
					 ],
					"sSwfPath": "plugins/datatables/tabletools/swf/copy_csv_xls_pdf.swf"
				}
			});
		});
	</script>	
</body>
</html>