<?php 
	require_once "baglanti.php";
	
	// Şube Sayısı
	$SubeSay = $db->prepare("SELECT * FROM mod_sube");
	$SubeSay->execute();
	$SubeSayisi = $SubeSay->rowCount();
	
	// Ürün Sayısı
	$UrunSay = $db->prepare("SELECT * FROM mod_ro_urun");
	$UrunSay->execute();
	$UrunSayisi = $UrunSay->rowCount();
	
	// Menü Sayısı
	$MenuSay = $db->prepare("SELECT * FROM mod_ro_menu");
	$MenuSay->execute();
	$MenuSayisi = $MenuSay->rowCount();
	
	// Adisyon Sayısı
	@$AdisyonSay = $db->prepare("SELECT * FROM mod_ro_adisyon ");
	$AdisyonSay->execute();
	$AdisyonSayisi = $AdisyonSay->rowCount();
	
?>
<!DOCTYPE html>
<html lang="tr-TR">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<title>Raporlar</title>

	<?php require_once "codes.php"; ?>
	
</head>

<body>

	<!-- Header -->
	<header class="header navbar navbar-fixed-top" role="banner">
		<?php require_once "header.php"; ?>
	</header>
	<!-- /.header -->

	<div id="container">
	
		<!-- Menü -->
		<div id="sidebar" class="sidebar-fixed">
			<?php require_once "menu.php"; ?>
		</div>
		<!-- /Menü -->

		<div id="content">
			<div class="container">
				<!-- Breadcrumbs -->
				<div class="crumbs">
					<ul id="breadcrumbs" class="breadcrumb">
						<li>
							<i class="icon-home"></i>
							<a href="default.php">Kontrol Paneli</a>
						</li>
						<li class="current">
							<a href="#">Raporlar</a>
						</li>
					</ul>
				</div>
				<!-- /Breadcrumbs -->
				
				<!-- Kontrol -->
				<?php if($_SESSION['uye_rutbe'] == 3 || $_SESSION['uye_rutbe'] == 2){ ?>
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title">
						<h3>Rapor Listesi</h3>
					</div>
				</div>
				<!-- /Page Header -->

				<!--=== Page Content ===-->
				<div class="row row-bg">
					<div class="col-md-12">
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">ŞUBE SAYISI</button>
									<div class="value"><?php echo $SubeSayisi; ?></div>
								</div>
							</div>
						</div>
						
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">ÜRÜN SAYISI</button>
									<div class="value"><?php echo $UrunSayisi; ?></div>
								</div>
							</div>
						</div>
						
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">MENÜ SAYISI</button>
									<div class="value"><?php echo $MenuSayisi; ?></div>
								</div>
							</div>
						</div>
						
						<div class="col-sm-6 col-md-3 hidden-xs">
							<div class="statbox widget box box-shadow">
								<div class="widget-content">
									<button class="btn btn-block btn-lg btn-danger">ADİSYON SAYISI</button>
									<div class="value"><?php echo $AdisyonSayisi; ?></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
				<div class="row">
					<div class="col-md-12">

						<div class="widget box">
							<div class="widget-content no-padding">
							
								<form class="form-horizontal row-border" action="" method="get" id="Veri_Goster_Form">
									
									<div class="form-group">
										<div class="col-md-3">
											<label class="control-label" for="input17">Şube</label>
											<select name="flt_sube" class="select2-select-00 col-md-12 full-width-fix">
												<option value="0">Tüm Şubeler</option>
												<?php
													$Subeler = $db->prepare("SELECT * FROM mod_sube ORDER BY id DESC");
													$Subeler->execute();
													while($Sube = $Subeler->fetch(PDO::FETCH_OBJ)){
														echo '<option ';
														echo 'value="'.$Sube->id.'"  '.( @$_GET["flt_sube"] == $Sube->id ? 'selected':'' ).'  >'.$Sube->baslik.'</option>';
													}
												?>
											</select>
										</div>
										<?php 
											@$tarih = date('Y-m-d');
											@$flt_baslama = $_GET["flt_baslama"];
											@$flt_bitis = $_GET["flt_bitis"];
										?>
										<div class="col-md-3">
											<label class="control-label">Başlama Tarihi</label>
											<input type="date" name="flt_baslama" class="form-control" value="<?php echo (empty($flt_baslama) ? date('Y-m-01', strtotime($tarih)) : date('Y-m-d', strtotime($flt_baslama))); ?>">
										</div>
									
										<div class="col-md-3">
											<label class="control-label">Bitiş Tarihi</label> 
											<input type="date" name="flt_bitis" class="form-control" value="<?php echo (empty($flt_bitis) ? date('Y-m-t', strtotime($tarih)) : date('Y-m-d', strtotime($flt_bitis))); ?>">
										</div>
										
										<div class="col-md-3">
											<label class="control-label" for="input22">&nbsp;</label>
											<button class="btn btn-default btn-block" name="flt_goster" value="evet" id="Veri_Goster_Btn" >Göster</button>
										</div>
									</div>
									
								</form>
								
								<hr />
								
								<?php 
									
									if(!isset($_GET["flt_sube"])){
										echo "<p><b>Şube ve Tarih Seçiniz </b></p>";
									}else{


										$id = $_GET["flt_sube"]; // Gelen id'yi süzerek alıyoruz
										if (!ctype_digit($id)) { go("default.php"); }


		$tarih = date('Y-m-d');
		// $flt_baslama_gelen	= date('Y-m-01');
		$flt_baslama_gelen	= date('Y-m-d', strtotime($tarih));
		$flt_bitis_gelen 	= date('Y-m-t', strtotime($tarih));
	if($_GET){
		
		@$flt_baslama_gelen	= isset($_GET["flt_baslama"]) ? $_GET["flt_baslama"] : $flt_baslama_gelen;
		@$flt_bitis_gelen 	=  isset($_GET["flt_bitis"]) ? $_GET["flt_bitis"] : $flt_bitis_gelen;
		


		$ust_where = ' AND tarih BETWEEN '.$flt_baslama.' and '.$flt_bitis.' ';
	}
	
		$flt_baslama 	= $flt_baslama_gelen.' 00:00:00';
		$flt_bitis 		= $flt_bitis_gelen.' 23:59:00';

		
										
								?>
								
							
								<p><b>Hangi Şubeden Hangi Menü Kaç Adet Satılmış ve Fiyat Toplamı </b></p>
								<div id="Tablo1_Hata"></div>
								<table class="table table-striped table-bordered table-hover table-checkable table-tabletools datatable">
														<thead>
															<tr> 
																<th>Sube Adı</th> 
																<th>Ürün Adı</th>
																<th>Toplam Satış Miktarı</th>
															</tr>
														</thead>
														<tbody>
															<?php 
																$Sn = 0;
																$Veriler = $db->prepare("SELECT mod_ro_urun.baslik, mod_ro_adisyon.id_sube, mod_ro_adisyon.id_adisyon, mod_ro_adisyon_menu.adet as adet_menu, mod_ro_menu_usec.adet as adet_urun, mod_ro_adisyon.tarih, mod_ro_urun.id 
FROM mod_ro_urun
LEFT JOIN mod_ro_menu_usec ON mod_ro_urun.id = mod_ro_menu_usec.id_urun 
LEFT JOIN mod_ro_adisyon_menu ON mod_ro_menu_usec.id_menu = mod_ro_adisyon_menu.id_menu
LEFT JOIN mod_ro_adisyon ON mod_ro_adisyon_menu.id_adisyon = mod_ro_adisyon.id_adisyon 



WHERE mod_ro_adisyon.id_sube in ( ? ) 
and mod_ro_adisyon.tarih BETWEEN  ? and ? 
ORDER BY mod_ro_adisyon.tarih DESC  ");
																$Veriler->execute(Array($id,$flt_baslama ,$flt_bitis));
																while($Veri = $Veriler->fetch(PDO::FETCH_OBJ)){
																	$Sn++;



																$adet_toplam = 	$Veri->adet_menu * $Veri->adet_urun ; 


																$adet_urunler[ $Veri->id ] = Array( 'adi' => $Veri->baslik, 'toplam' => $adet_toplam ) ;

																$adet_urunler[ 'all' ][ $Veri->id ]['toplam'] +=  $adet_toplam ;
																$adet_urunler[ 'all' ][ $Veri->id ]['adi'] =  $Veri->baslik ;
																$adet_urunler[ 'all' ][ $Veri->id ]['sube'] =  $Veri->id_sube ;
																	
																/*
															?>
															<tr>
																<td><?php echo $Sn; ?></td>
																<td><?php echo $Veri->baslik; ?></td>
																<td><?php echo $Veri->adet_menu; ?></td>
																<td><?php echo $Veri->adet_urun; ?></td>
																<td><?php echo $adet_toplam; ?></td> 
															</tr>

															<?php */
															} 

foreach ($adet_urunler[all] as $key => $value) {
	# code...




															?>

															<tr> 
																<td><?php echo $value[sube]; ?></td>
																<td><?php echo $value[adi]; ?></td>
																<td><?php echo $value[toplam]; ?></td> 
															</tr>



															<?php }  ?>
														</tbody>
													</table>
								
								<?php } ?>
								
							</div>
						</div>
						
						<hr />
						
					</div>
				</div>
				
				<?php }else{ ?>
				
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title yetkiniz_yok">
						<h3><i class="fa fa-exclamation-triangle"></i> Bu sayfaya erişim yetkiniz bulunmamaktadır!</h3>
					</div>
				</div>
				<!-- /Page Header -->
				
				<?php } ?>
				
				
			</div>
		</div>
	</div>
	
	


</body>
</html>