<?php 
	require_once "baglanti.php";
	
	$id = $_GET["id"]; // Gelen id'yi süzerek alıyoruz
	if (!ctype_digit($id)) { go("default.php"); }
	
	$Veriler = $db->prepare("SELECT * FROM mod_sube WHERE id = '$id'");
	$Veriler->execute();
	$Veri = $Veriler->fetch(PDO::FETCH_OBJ);
?>
<!DOCTYPE html>
<html lang="tr-TR">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<title>Şube Düzenle</title>

	<?php require_once "codes.php"; ?>
</head>

<body>

	<!-- Header -->
	<header class="header navbar navbar-fixed-top" role="banner">
		<?php require_once "header.php"; ?>
	</header>
	<!-- /.header -->

	<div id="container">
	
		<!-- Menü -->
		<div id="sidebar" class="sidebar-fixed">
			<?php require_once "menu.php"; ?>
		</div>
		<!-- /Menü -->

		<div id="content">
			<div class="container">
				<!-- Breadcrumbs -->
				<div class="crumbs">
					<ul id="breadcrumbs" class="breadcrumb">
						<li>
							<i class="icon-home"></i>
							<a href="default.php">Kontrol Paneli</a>
						</li>
						<li>
							<a href="subeler.php">Şubeler</a>
						</li>
						<li class="current">
							<a href="#">Düzenle</a>
						</li>
					</ul>
				</div>
				<!-- /Breadcrumbs -->
				
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title">
						<h3><i class="fa fa-pencil"></i> <b><?php echo $Veri->baslik; ?></b> isimli veriyi düzenle</h3>
					</div>

					<!-- Page Stats -->
					<ul class="page-stats">
						<li>
							<a href="subeler.php" class="btn btn-primary"><i class="fa fa-list"></i> Listele</a>
						</li>
					</ul>
					<!-- /Page Stats -->
				</div>
				<!-- /Page Header -->
				
				
				<!--=== Page Content ===-->
<?php 
	if(isset($_POST["duzenle"])){
		
		$baslik = p("baslik");
		$resim 	= p("resim");
		$detay 	= p("detay");
		$hit 	= p("hit");
		$lisans 	= p("lisans");
		
		if(!$baslik){
			echo '
					<div class="alert alert-danger fade in">
						<strong>Hata!</strong> Yıldızla belirtilen alanlar boş bırakılamaz!
					</div>
				';
		}else{
			
			
			$kayit = $db->prepare("UPDATE mod_sube SET
								baslik	= :baslik,
								resim	= :resim,
								detay	= :detay,
								hit		= :hit,
								lisans		= :lisans,
								ekleyen	= :ekleyen
								WHERE id = :id");
			
			$sorgu = $kayit->execute(array(
								"baslik" 	=> $baslik,
								"resim" 	=> $resim,
								"detay" 	=> $detay,
								"hit" 		=> $hit,
								"lisans" 		=> $lisans,
								"ekleyen" 	=> $uyeid,
								"id"		=> $id));
			
			if($kayit){
				echo '
					<div class="alert alert-success fade in">
						<strong>Başarılı!</strong> Kaydınız alındı!
					</div>
				';
				go("subeler.php", 1);
			}else{
				echo '
					<div class="alert alert-danger fade in">
						<strong>Hata!</strong> Bir sorun meydana geldi... Daha sonra deneyiniz.
					</div>
				';
			}
		}
		
		
	}
?>
				<div class="row row-bg">
					<div class="col-md-12">
						<div class="widget box">
							<div class="widget-header">
								<h4><i class="icon-reorder"></i> Form</h4>
							</div>
							<div class="widget-content">
								<form class="form-horizontal row-border" action="" method="post">
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">* Şube Adı</label>
										<div class="col-md-10">
											<input type="text" name="baslik" class="form-control" value="<?php echo $Veri->baslik; ?>" required>
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Şube Telefon</label>
										<div class="col-md-10">
											<input type="text" name="resim" class="form-control" value="<?php echo $Veri->resim; ?>">
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Şube Adres</label>
										<div class="col-md-10">
											<input type="text" name="detay" class="form-control" value="<?php echo $Veri->detay; ?>">
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Şube E-Posta</label>
										<div class="col-md-10">
											<input type="email" name="hit" class="form-control" value="<?php echo $Veri->hit; ?>">
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Lisans</label>
										<div class="col-md-10">
											<input type="text" name="lisans" class="form-control" value="<?php echo $Veri->lisans; ?>">
										</div>
									</div>
									
									<div class="form-group">
										<div class="col-md-12">
											<button class="btn btn-defaul btn-lg pull-right" name="duzenle" > Kaydet</button>
										</div>
									</div>
									
								</form>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</body>
</html>