<?php 
	require_once "baglanti.php";
	
	$id = $_GET["id"]; // Gelen id'yi süzerek alıyoruz
	if (!ctype_digit($id)) { go("default.php"); }
	
	$Veriler = $db->prepare("SELECT * FROM mod_ro_urun WHERE id = '$id'");
	$Veriler->execute();
	$Veri = $Veriler->fetch(PDO::FETCH_OBJ);
?>
<!DOCTYPE html>
<html lang="tr-TR">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<title>Ürün Düzenle</title>

	<?php require_once "codes.php"; ?>
</head>

<body>

	<!-- Header -->
	<header class="header navbar navbar-fixed-top" role="banner">
		<?php require_once "header.php"; ?>
	</header>
	<!-- /.header -->

	<div id="container">
	
		<!-- Menü -->
		<div id="sidebar" class="sidebar-fixed">
			<?php require_once "menu.php"; ?>
		</div>
		<!-- /Menü -->

		<div id="content">
			<div class="container">
				<!-- Breadcrumbs -->
				<div class="crumbs">
					<ul id="breadcrumbs" class="breadcrumb">
						<li>
							<i class="icon-home"></i>
							<a href="default.php">Kontrol Paneli</a>
						</li>
						<li>
							<a href="urunler.php">Ürünler</a>
						</li>
						<li class="current">
							<a href="#">Düzenle</a>
						</li>
					</ul>
				</div>
				<!-- /Breadcrumbs -->
				
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title">
						<h3><i class="fa fa-pencil"></i> <b><?php echo $Veri->baslik; ?></b> isimli veriyi düzenle</h3>
					</div>

					<!-- Page Stats -->
					<ul class="page-stats">
						<li>
							<a href="urunler.php" class="btn btn-primary"><i class="fa fa-list"></i> Listele</a>
						</li>
					</ul>
					<!-- /Page Stats -->
				</div>
				<!-- /Page Header -->
				
				
				<!--=== Page Content ===-->
<?php 
	if(isset($_POST["duzenle"])){
		
		$id_kat = p("id_kat");
		$baslik = p("baslik");
		$id_sube	= p("id_sube");
		$tutar	= p("tutar");
		$barkod	= p("barkod");
		$id_birim	= p("id_birim");
		$id_cihaz	= p("id_cihaz");
		$agirlik_turu	= p("agirlik_turu");
		$icerik	= p("icerik");
		$id_kat	= p("id_kat");
		
		if(!$baslik || !$id_kat){
			echo '
					<div class="alert alert-danger fade in">
						<strong>Hata!</strong> Yıldızla belirtilen alanlar boş bırakılamaz!
					</div>
				';
		}else{
			
			
			$kayit = $db->prepare("UPDATE mod_ro_urun SET
								id_kat	= :id_kat,
								baslik	= :baslik,
								tutar	= :tutar,
								ekleyen	= :ekleyen, 
								id_sube = :id_sube, 
								barkod = :barkod,
								id_birim = :id_birim,
								id_cihaz = :id_cihaz,
								agirlik_turu = :agirlik_turu,
								id_kat = :id_kat,
								icerik = :icerik
								WHERE id = :id");
			
			$sorgu = $kayit->execute(array(
								"id_kat" 	=> $id_kat,
								"baslik" 	=> $baslik,
								"tutar" 	=> $tutar,
								"ekleyen" 	=> $uyeid, 
								"id_sube" => $id_sube, 
								"barkod" => $barkod,
								"id_birim" => $id_birim,
								"id_cihaz" => $id_cihaz,
								"agirlik_turu" => $agirlik_turu,
								"id_kat" => $id_kat,
								"icerik" => $icerik,
								"id" => $id));
			
			if($kayit){
				echo '
					<div class="alert alert-success fade in">
						<strong>Başarılı!</strong> Kaydınız alındı!
					</div>
				';
				go("urunler.php", 1);
			}else{
				echo '
					<div class="alert alert-danger fade in">
						<strong>Hata!</strong> Bir sorun meydana geldi... Daha sonra deneyiniz.
					</div>
				';
			}
		}
		
		
	}
?>
				<div class="row row-bg">
					<div class="col-md-12">
						<div class="widget box">
							<div class="widget-header">
								<h4><i class="icon-reorder"></i> Form</h4>
							</div>
							<div class="widget-content">
								<form class="form-horizontal row-border" action="" method="post">
									
									<div class="form-group col-md-6">
										<label class="col-md-2 control-label" for="input17">* Şube </label>
										<div class="col-md-10"> 
											<select name="id_sube" id="input17" class="select2-select-00 col-md-12 full-width-fix" ajax="urun_id_sube" >
											  <option value="0">Lütfen Seçim Yapınız</option> 
												<?php 
													$katbul = $db->prepare("SELECT * FROM mod_sube  ");
													$katbul->execute();
													$KatSay = $katbul->rowCount();
													if($KatSay > 0){
														while($scek = $katbul->fetch(PDO::FETCH_OBJ)){ 
															echo '<option value="'.$scek->id.'" '.( $Veri->id_sube == $scek->id ? "selected" : "" ).'  >'.$scek->baslik.'</option>'; 
														}
													}else{
														return false;
													} ?>
											</select>
										</div>
									</div>

									<div class="form-group col-md-6">
										<label class="col-md-4 control-label" for="input17">* Kategori Adı</label>
										<div class="col-md-8">
											<?php 
												function KategoriBul($KatID, $tire, $ikat){
													global $db;
													$katbul = $db->prepare("SELECT * FROM mod_ro_urun_kat WHERE ust_kat = '$KatID'");
													$katbul->execute();
													$KatSay = $katbul->rowCount();
													if($KatSay > 0){
														while($kcek = $katbul->fetch(PDO::FETCH_OBJ)){
															echo '<option ';
															echo $kcek->id == $ikat ? 'selected = selected' : null; 
															echo ' value="'.$kcek->id.'" class="'.($kcek->ust_kat == 0 ? 'ust_kat' : 'alt_kat').'">'.str_repeat(''.($kcek->ust_kat == 0 ? '' : '&nbsp;').'', $tire*5).' '.$kcek->kat_adi.'</option>';
															if($kcek->ust_kat == 0){
																KategoriBul($kcek->id, $tire, $ikat);
															}else{
																KategoriBul($kcek->id, $tire + 1, $ikat);
															}
														}
													}else{
														return false;
													}
												}
											?>
											<select name="id_kat" id="input17" class="select2-select-00 col-md-12 full-width-fix" selectedId="<?php echo $Veri->id_kat;?>">
												<option value="0">Lütfen Seçim Yapınız</option>
												<?php //KategoriBul(0, 1, $Veri->id_kat); ?>
											</select>
										</div>
									</div>
										 


								 
									<div class="form-group col-md-6">
										<label class="col-md-2 control-label" for="input22">* Ürün Adı</label>
										<div class="col-md-10">
											<input type="text" name="baslik" class="form-control" value="<?php echo $Veri->baslik; ?>"  required>
										</div>
									</div>
									<div class="form-group col-md-6">
										<label class="col-md-4 control-label" for="input22">* Ürün Bardo veya ürün kodu</label>
										<div class="col-md-8">
											<input type="text" name="barkod" class="form-control" value="<?php echo $Veri->barkod; ?>"  required>
										</div>
									</div>

									<div class="form-group col-md-3">
										<label class="col-md-4 control-label" for="input22">* Ürün Kdv Dahil Tutarı</label>
										<div class="col-md-8">
											<input type="text" name="tutar" class="form-control" value="<?php echo $Veri->tutar; ?>" required >
										</div>
									</div>
									<div class="form-group col-md-3">
										<label class="col-md-4 control-label" for="input22">Ağırlık Türü</label>
										<div class="col-md-8"> 


											<select name="agirlik_turu" id="input17" class="select2-select-00 col-md-12 full-width-fix">
											 <option value="1" <?php echo ''.( $Veri->agirlik_turu == 1 ? "selected" : "" ).' '?> >KG</option> 
											 <option value="2" <?php echo ''.( $Veri->agirlik_turu == 2 ? "selected" : "" ).' '?> >ADET</option>  
											</select>


										</div>
									</div>
									<div class="form-group col-md-3">
										<label class="col-md-4 control-label" for="input22">Birim Türü</label>
										<div class="col-md-8">
											<input type="text" name="id_birim" class="form-control" value="<?php echo $Veri->id_birim; ?>" >
										</div>
									</div>
									<div class="form-group col-md-3">
										<label class="col-md-4 control-label" for="input22">Tanımlı Cihaz</label>
										<div class="col-md-8">  

											<select name="id_cihaz" id="input17" class="select2-select-00 col-md-12 full-width-fix">
											 <option value="1" <?php echo ''.( $Veri->id_cihaz == 1 ? "selected" : "" ).' '?> >MARKET & SADECE KASA </option> 
											 <option value="2" <?php echo ''.( $Veri->id_cihaz == 2 ? "selected" : "" ).' '?> >ŞARKUTERİ ( TERAZİ ) </option>  
											 <option value="3" <?php echo ''.( $Veri->id_cihaz == 3 ? "selected" : "" ).' '?> >UNLU MAMULLER ( TERAZİ ) </option>  
											</select>

										</div>
									</div>
									


									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Açıklama</label>
										<div class="col-md-10">
											<input type="text" name="icerik" class="form-control" value="<?php echo $Veri->icerik; ?>">
										</div>
									</div>
									
									<div class="form-group">
										<div class="col-md-12">
											<button class="btn btn-defaul btn-lg pull-right" name="duzenle" > Kaydet</button>
										</div>
									</div>
									
								</form>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</body>
</html>