<?php 
	require_once "baglanti.php";
	
	$id = $_GET["id"]; // Gelen id'yi süzerek alıyoruz
	if (!ctype_digit($id)) { go("default.php"); }
	
	$Veriler = $db->prepare("SELECT * FROM mod_ro_urun_kat WHERE id = '$id'");
	$Veriler->execute();
	$Veri = $Veriler->fetch(PDO::FETCH_OBJ);
?>
<!DOCTYPE html>
<html lang="tr-TR">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<title>Ürün Kategorisi Düzenle</title>

	<?php require_once "codes.php"; ?>
</head>

<body>

	<!-- Header -->
	<header class="header navbar navbar-fixed-top" role="banner">
		<?php require_once "header.php"; ?>
	</header>
	<!-- /.header -->

	<div id="container">
	
		<!-- Menü -->
		<div id="sidebar" class="sidebar-fixed">
			<?php require_once "menu.php"; ?>
		</div>
		<!-- /Menü -->

		<div id="content">
			<div class="container">
				<!-- Breadcrumbs -->
				<div class="crumbs">
					<ul id="breadcrumbs" class="breadcrumb">
						<li>
							<i class="icon-home"></i>
							<a href="default.php">Kontrol Paneli</a>
						</li>
						<li>
							<a href="urun_kat.php">Ürün Kategorileri</a>
						</li>
						<li class="current">
							<a href="#">Düzenle</a>
						</li>
					</ul>
				</div>
				<!-- /Breadcrumbs -->
				
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title">
						<h3><i class="fa fa-pencil"></i> <b><?php echo $Veri->kat_adi; ?></b> isimli veriyi düzenle</h3>
					</div>

					<!-- Page Stats -->
					<ul class="page-stats">
						<li>
							<a href="urun_kat.php" class="btn btn-primary"><i class="fa fa-list"></i> Listele</a>
						</li>
					</ul>
					<!-- /Page Stats -->
				</div>
				<!-- /Page Header -->
				
				
				<!--=== Page Content ===-->
<?php 
	if(isset($_POST["duzenle"])){
		
		$ust_kat 	= p("ust_kat");
		$kat_adi 	= p("kat_adi");
		$sirala 	= p("sirala");
		$aciklama 	= p("aciklama");
		
		if(!$kat_adi){
			echo '
					<div class="alert alert-danger fade in">
						<strong>Hata!</strong> Yıldızla belirtilen alanlar boş bırakılamaz!
					</div>
				';
		}else{
			
			
			$kayit = $db->prepare("UPDATE mod_ro_urun_kat SET
								ust_kat		= :ust_kat,
								kat_adi		= :kat_adi,
								sirala		= :sirala,
								aciklama	= :aciklama,
								ekleyen		= :ekleyen
								WHERE id	= :id");
			
			$sorgu = $kayit->execute(array(
								"ust_kat" 	=> $ust_kat,
								"kat_adi" 	=> $kat_adi,
								"sirala" 	=> $sirala,
								"aciklama" 	=> $aciklama,
								"ekleyen" 	=> $uyeid,
								"id"		=> $id));
			
			if($kayit){
				echo '
					<div class="alert alert-success fade in">
						<strong>Başarılı!</strong> Kaydınız alındı!
					</div>
				';
				go("urun_kat.php", 1);
			}else{
				echo '
					<div class="alert alert-danger fade in">
						<strong>Hata!</strong> Bir sorun meydana geldi... Daha sonra deneyiniz.
					</div>
				';
			}
		}
		
		
	}
?>
				<div class="row row-bg">
					<div class="col-md-12">
						<div class="widget box">
							<div class="widget-header">
								<h4><i class="icon-reorder"></i> Form</h4>
							</div>
							<div class="widget-content">
								<form class="form-horizontal row-border" action="" method="post">
									
									
									
									<?php if($Veri->ust_kat == 0){ ?>
										<input type="hidden" name="ust_kat" class="form-control" value="<?php echo $Veri->ust_kat; ?>">	
									<?php }else{ ?>
										<div class="form-group">
											<label class="col-md-2 control-label" for="input22"> Üst Kategori Adı</label>
											<div class="col-md-10">
												<select name="ust_kat" class="form-control">
													<?php 
														$UstKatlar = $db->prepare("SELECT * FROM mod_ro_urun_kat WHERE ust_kat = '0'");
														$UstKatlar->execute();
														while($UstKat = $UstKatlar->fetch(PDO::FETCH_OBJ)){
														echo '<option ';
														echo $UstKat->id == $Veri->ust_kat ? 'selected = selected' : null; 
														echo ' value="'.$UstKat->id.'">'.$UstKat->kat_adi.'</option>';
														}
													?>
												</select>
											</div>
										</div>
									<?php } ?>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">* Kategori Adı</label>
										<div class="col-md-10">
											<input type="text" name="kat_adi" class="form-control" value="<?php echo $Veri->kat_adi; ?>" required>
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Sıra</label>
										<div class="col-md-10">
											<input type="text" name="sirala" class="form-control" value="<?php echo $Veri->sirala; ?>">
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Açıklama</label>
										<div class="col-md-10">
											<input type="text" name="aciklama" class="form-control" value="<?php echo $Veri->aciklama; ?>">
										</div>
									</div>
									
									<div class="form-group">
										<div class="col-md-12">
											<button class="btn btn-defaul btn-lg pull-right" name="duzenle" > Kaydet</button>
										</div>
									</div>
									
								</form>
							</div>
						</div>
					</div>
				</div>
				
				
				
				
				
				
				
				
			</div>
		</div>
	</div>
</body>
</html>