<?php 
	require_once "baglanti.php";
	
	$id = $_GET["id"]; // Gelen id'yi süzerek alıyoruz
	if (!ctype_digit($id)) { go("default.php"); }
	
	$Veriler = $db->prepare("SELECT * FROM mod_ro_kullanici WHERE KullaniciID = :id");
	$Veriler->execute(array("id" => $id)); 
	$Veri = $Veriler->fetch(PDO::FETCH_OBJ);
?>
<!DOCTYPE html>
<html lang="tr-TR">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<title>Üye Düzenle</title>

	<?php require_once "codes.php"; ?>
</head>

<body>

	<!-- Header -->
	<header class="header navbar navbar-fixed-top" role="banner">
		<?php require_once "header.php"; ?>
	</header>
	<!-- /.header -->

	<div id="container">
	
		<!-- Menü -->
		<div id="sidebar" class="sidebar-fixed">
			<?php require_once "menu.php"; ?>
		</div>
		<!-- /Menü -->

		<div id="content">
			<div class="container">
				<!-- Breadcrumbs -->
				<div class="crumbs">
					<ul id="breadcrumbs" class="breadcrumb">
						<li>
							<i class="icon-home"></i>
							<a href="default.php">Kontrol Paneli</a>
						</li>
						<li>
							<a href="uyeler_local.php">Üyeler</a>
						</li>
						<li class="current">
							<a href="#">Yeni Ekle</a>
						</li>
					</ul>
				</div>
				<!-- /Breadcrumbs -->
				
				<!-- Kontrol -->
				<?php if($_SESSION['uye_rutbe'] >= 5  or $_SESSION['uye_rutbe'] == 3){ ?>
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title">
						<h3><i class="fa fa-pencil"></i> <b><?php echo $Veri->uye_adisoyadi; ?></b> isimli üyeyi düzenle</h3>
					</div>

					<!-- Page Stats -->
					<ul class="page-stats">
						<li>
							<a href="uyeler_local.php" class="btn btn-primary"><i class="fa fa-list"></i> Listele</a>
						</li>
					</ul>
					<!-- /Page Stats -->
				</div>
				<!-- /Page Header -->
				
				
				<!--=== Page Content ===-->
<?php 
	if(isset($_POST["duzenle"])){
	 
		$uye_KullaniciAdi 	= p("uye_KullaniciAdi");
		$uye_Parola 		= p("uye_Parola");
		$uye_id_sube 		= p("id_sube");
		$uye_id_depo 		= p("id_depo");
 

		$uye_miktar_yetki = ( p("miktar_yetki") == "on" ? 1 : 0 );
		$uye_az_yetki = ( p("az_yetki") == "on" ? 1 : 0 );
		$uye_yarim_yetki = ( p("yarim_yetki") == "on" ? 1 : 0 );
		$uye_duzelt_yetki = ( p("duzelt_yetki") == "on" ? 1 : 0 );
		$uye_yazdir_yetki = ( p("yazdir_yetki") == "on" ? 1 : 0 );
		$uye_odemeal_yetki = ( p("odemeal_yetki") == "on" ? 1 : 0 );
		$uye_musteri_yetki = ( p("musteri_yetki") == "on" ? 1 : 0 );
		$uye_ikram_yetki = ( p("ikram_yetki") == "on" ? 1 : 0 );
		$uye_iskonto_yetki = ( p("iskonto_yetki") == "on" ? 1 : 0 );
		$uye_siparisgonder_yetki = ( p("siparisgonder_yetki") == "on" ? 1 : 0 );
		$uye_Aktif = ( p("Aktif") == "on" ? 1 : 0 );



		
		if(!$uye_KullaniciAdi || !$uye_Parola || !$uye_id_sube ){
			echo '
					<div class="alert alert-danger fade in">
						<strong>Hata!</strong> Yıldızla belirtilen alanlar boş bırakılamaz!
					</div>
				';
		}else{
			
			 


			$kayit = $db->prepare("UPDATE mod_ro_kullanici SET
								KullaniciAdi	= :uye_KullaniciAdi,
								Parola		= :uye_Parola,
								id_sube		= :uye_id_sube,
								id_depo		= :uye_id_depo,
								miktar_yetki = :uye_miktar_yetki,
								az_yetki = :uye_az_yetki,
								yarim_yetki = :uye_yarim_yetki,
								duzelt_yetki = :uye_duzelt_yetki,
								yazdir_yetki = :uye_yazdir_yetki,
								odemeal_yetki = :uye_odemeal_yetki,
								musteri_yetki = :uye_musteri_yetki,
								ikram_yetki = :uye_ikram_yetki,
								iskonto_yetki = :uye_iskonto_yetki,
								siparisgonder_yetki = :uye_siparisgonder_yetki ,
								Aktif = :uye_Aktif 
								WHERE KullaniciID	= :uye_id");
			
			$sorgu = $kayit->execute(array(
								"uye_KullaniciAdi" => $uye_KullaniciAdi,
								"uye_Parola" 		=> $uye_Parola,
								"uye_id_sube" 		=> $uye_id_sube,
								"uye_id_depo" 		=> $uye_id_depo,
								"uye_miktar_yetki" => $uye_miktar_yetki,
								"uye_az_yetki" => $uye_az_yetki,
								"uye_yarim_yetki" => $uye_yarim_yetki,
								"uye_duzelt_yetki" => $uye_duzelt_yetki,
								"uye_yazdir_yetki" => $uye_yazdir_yetki,
								"uye_odemeal_yetki" => $uye_odemeal_yetki,
								"uye_musteri_yetki" => $uye_musteri_yetki,
								"uye_ikram_yetki" => $uye_ikram_yetki,
								"uye_iskonto_yetki" => $uye_iskonto_yetki,
								"uye_siparisgonder_yetki" => $uye_siparisgonder_yetki ,
								"uye_Aktif" => $uye_Aktif ,
								"uye_id" 		=> $id ));


								
			if($kayit){
				echo '
					<div class="alert alert-success fade in">
						<strong>Başarılı!</strong> Kaydınız alındı!
					</div>
				';
				go("uyeler_local.php", 1);
			}else{
				echo '
					<div class="alert alert-danger fade in">
						<strong>Hata!</strong> Bir sorun meydana geldi... Daha sonra deneyiniz.
					</div>
				';
			}
		}
		
		
	}
?>
				<div class="row row-bg">
					<div class="col-md-12">
						<div class="widget box">
							<div class="widget-header">
								<h4><i class="icon-reorder"></i> Form</h4>
							</div>
							<div class="widget-content">
								<form class="form-horizontal row-border" action="" method="post">
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input17">* Şube </label>
										<div class="col-md-10">
											
											<select name="id_sube" id="input17" class="select2-select-00 col-md-12 full-width-fix" ajax="urun_id_sube" >
											  <option value="0">Lütfen Seçim Yapınız</option> 
												<?php 
													$katbul = $db->prepare("SELECT * FROM mod_sube  ");
													$katbul->execute();
													$KatSay = $katbul->rowCount();
													if($KatSay > 0){
														while($scek = $katbul->fetch(PDO::FETCH_OBJ)){ 
															echo '<option value="'.$scek->id.'" '.( $Veri->id_sube == $scek->id ? "selected" : "" ).'  >'.$scek->baslik.'</option>'; 
														}
													}else{
														return false;
													} ?>
											</select>
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Depo ID</label>
										<div class="col-md-10">
											<input type="text" name="id_depo" class="form-control"  value="<?php echo $Veri->id_depo; ?>">
										</div>
									</div>
									 
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">* KullaniciAdi</label>
										<div class="col-md-10">
											<input type="text" name="uye_KullaniciAdi" class="form-control"  value="<?php echo $Veri->KullaniciAdi; ?>">
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Parola</label>
										<div class="col-md-10">
											<input type="text" name="uye_Parola" class="form-control"  value="<?php echo $Veri->Parola; ?>">
										</div>
									</div>
									
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">* Yetkiler</label> 

<div class="col-md-2"> <input type="checkbox" id="miktar_yetki" name="miktar_yetki" <?php echo ($Veri->miktar_yetki == 1 ? 'checked="checked"':''); ?> > <label for="miktar_yetki">miktar_yetki</label> </div>
<div class="col-md-2"> <input type="checkbox" id="az_yetki" name="az_yetki" <?php echo ($Veri->az_yetki == 1 ? 'checked="checked"':''); ?> > <label for="az_yetki">az_yetki</label> </div>
<div class="col-md-2"> <input type="checkbox" id="yarim_yetki" name="yarim_yetki" <?php echo ($Veri->yarim_yetki == 1 ? 'checked="checked"':''); ?> > <label for="yarim_yetki">yarim_yetki</label> </div>
<div class="col-md-2"> <input type="checkbox" id="duzelt_yetki" name="duzelt_yetki" <?php echo ($Veri->duzelt_yetki == 1 ? 'checked="checked"':''); ?> > <label for="duzelt_yetki">duzelt_yetki</label> </div>
<div class="col-md-2"> <input type="checkbox" id="yazdir_yetki" name="yazdir_yetki" <?php echo ($Veri->yazdir_yetki == 1 ? 'checked="checked"':''); ?> > <label for="yazdir_yetki">yazdir_yetki</label> </div>
<div class="col-md-2"> <input type="checkbox" id="odemeal_yetki" name="odemeal_yetki" <?php echo ($Veri->odemeal_yetki == 1 ? 'checked="checked"':''); ?> > <label for="odemeal_yetki">odemeal_yetki</label> </div>
<div class="col-md-2"> <input type="checkbox" id="musteri_yetki" name="musteri_yetki" <?php echo ($Veri->musteri_yetki == 1 ? 'checked="checked"':''); ?> > <label for="musteri_yetki">musteri_yetki</label> </div>
<div class="col-md-2"> <input type="checkbox" id="ikram_yetki" name="ikram_yetki" <?php echo ($Veri->ikram_yetki == 1 ? 'checked="checked"':''); ?> > <label for="ikram_yetki">ikram_yetki</label> </div>
<div class="col-md-2"> <input type="checkbox" id="iskonto_yetki" name="iskonto_yetki" <?php echo ($Veri->iskonto_yetki == 1 ? 'checked="checked"':''); ?> > <label for="iskonto_yetki">iskonto_yetki</label> </div>
<div class="col-md-2"> <input type="checkbox" id="siparisgonder_yetki" name="siparisgonder_yetki" <?php echo ($Veri->siparisgonder_yetki == 1 ? 'checked="checked"':''); ?> > <label for="siparisgonder_yetki">siparisgonder_yetki</label> </div>




									 
									</div>
									<div class="form-group">
										<label class="col-md-2 control-label" for="input22">Durumu</label>
<div class="col-md-10"> <input type="checkbox" id="Aktif" name="Aktif"  <?php echo ($Veri->Aktif == 1 ? 'checked="checked"':''); ?>> <label for="Aktif">Aktif</label> </div>
									</div>
									 
									
									<div class="form-group">
										<div class="col-md-12">
											<button class="btn btn-defaul btn-lg pull-right" name="duzenle" > Kaydet</button>
										</div>
									</div>
									
								</form>
							</div>
						</div>
					</div>
				</div>
				
				<?php }else{ ?>
				
				<!--=== Page Header ===-->
				<div class="page-header">
					<div class="page-title yetkiniz_yok">
						<h3><i class="fa fa-exclamation-triangle"></i> Bu sayfaya erişim yetkiniz bulunmamaktadır!</h3>
					</div>
				</div>
				<!-- /Page Header -->
				
				<?php } ?>
				
			</div>
		</div>
	</div>
</body>
</html>